Create Plan

Use this API to create a Plan.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/ps/api/v1/public/plans
Production [PROD]https://api.pluralpay.in/ps/api/v1/public/plans
Body Params
string
required

Unique reference for the plan you want to create.

Example: Monthly Plan

string

Corresponding description for a plan.

Example: Diwali dhammaka plan intended to attract customers on diwali time

string
required

Frequency of recurring transactions for this particular plan.

  • Day
  • Week
  • Month
  • Year
  • Bi-Monthly
  • Quarterly
  • Half-Yearly
  • AS (As & When Presented)
  • OT (One Time)
Example:Day

amount
object
required

An object that contains the amount details.

max_limit_amount
object
required

An object that contains the maximum limit amount details.

initial_debit_amount
object

The amount debited at the time of subscription creation, before the recurring payment cycle starts.

int32

When a trial period is offered for the plan, this defines the duration of the trial period.

Example: 1

string

The ISO 8601 UTC Timestamp is the date when the subscription plan is active and available for use.

Example: 2022-02-01T17:32:28Z

string
required

The ISO 8601 UTC Timestamp is the date when the subscription plan expires and can no longer be used for new subscriptions.

Example: 2022-09-21T17:32:28Z

merchant_metadata
object

An object of key value pair that can be used to store additional information.

  • Each pair cannot exceed 256 characters.
  • Maximum 10 key-value pairs.
Example: "key1": "DD"

string
required

Unique identifier of the merchant plan reference entered while creating a plan.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: 1234567890

Supported characters:
  • A-Z
  • a-z
  • -
  • _

string

Indicates whether auto-debit is enabled for one-time payments under the subscription plan.

  • false
  • True
Example:false

Headers
string
Defaults to application/json

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant